#pragma once
#include <vector>

template<class T>
class TemplatedClass {
private:
    int count;
    T temp_vec;
public:
    unsigned int get_count();
    unsigned int get_number_vectors_count();
};

template<class T>
inline unsigned int TemplatedClass<T>::get_count()
{
    return count;
}

template<class T>
inline unsigned int TemplatedClass<T>::get_number_vectors_count()
{
    return temp_vec.get_count();
}